# ArOverlayPolygonConfiguration class

Configuration of the overlay polygon displayed on top of a barcode in the camera preview.

## Constructors

ArOverlayPolygonConfiguration.new({bool visible = true, PolygonStyle? deselected, PolygonStyle? selected})
ArOverlayPolygonConfiguration.fromJson(Map<String, dynamic> json)
  factory

## Properties

deselected ↔ PolygonStyle
  Appearance of the overlay polygon when a barcode is not selected.
  getter/setter pair
hashCode → int
  The hash code for this object.
  no setter inherited
runtimeType → Type
  A representation of the runtime type of the object.
  no setter inherited
selected ↔ PolygonStyle
  Appearance of the overlay polygon after a barcode has been selected.
  getter/setter pair
visible ↔ bool
  Control the visibility of the overlay polygon.
  getter/setter pair

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson({ToJsonConfiguration? config}) → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited